# This file is the top-most EditorConfig file
root = true

# All Files
[*]
indent_style = space
indent_size = 4
insert_final_newline = false
trim_trailing_whitespace = false

[*.cs]
csharp_new_line_before_open_brace = none
max_line_length = 80
dotnet_diagnostic.CS8509.severity = error
dotnet_diagnostic.CS8524.severity = none
